# msa-django-ansible/serializers.py
from rest_framework import serializers
from .models import AnsibleTask


class AnsibleTaskSerializer(serializers.ModelSerializer):
    class Meta:
        model = AnsibleTask
        fields = [
            "id",
            "name",
            "playbook_content",
            "inventory_content",
            "status",
            "output",
            "created_at",
        ]
        read_only_fields = ("id", "status", "output", "created_at")


class AnsibleTaskDetailSerializer(serializers.ModelSerializer):
    class Meta:
        model = AnsibleTask
        fields = [
            "id",
            "name",
            "status",
            "output",
            "created_at",
        ]
        read_only_fields = fields
