# ansible/urls.py
from django.urls import path, include
from rest_framework.routers import DefaultRouter
from .views import AnsibleTaskViewSet

router = DefaultRouter()
router.register(r'tasks', AnsibleTaskViewSet, basename='ansibletask')

urlpatterns = [
    path('', include(router.urls)),
]
